SingleFragListBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.vectorhighlight.SingleFragListBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class SingleFragListBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.SingleFragListBuilder

All Implemented Interfaces:
  FragListBuilder

    public class SingleFragListBuilder

extends Object
implements FragListBuilder

An implementation class of `FragListBuilder` that generates one `FieldFragList.WeightedFragInfo` object. Typical use case of this class is that you can get an entire field contents by using both of this class and `SimpleFragmentsBuilder`.

     FastVectorHighlighter h = new FastVectorHighlighter( true, true,
       new SingleFragListBuilder(), new SimpleFragmentsBuilder() );

Constructor Summary
`SingleFragListBuilder()`

Method Summary
`FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleFragListBuilder

    public SingleFragListBuilder()

Method Detail

### createFieldFragList

    public FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                             int fragCharSize)

  Description copied from interface: `FragListBuilder`
  create a FieldFragList.

  Specified by:
    `createFieldFragList` in interface `FragListBuilder`
  Parameters:
    `fieldPhraseList` - FieldPhraseList object
    `fragCharSize` - the length (number of chars) of a fragment
  Returns:
    the created FieldFragList object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD